%define	name	gtklp
%define	version	1.2.6
%define	release	%mkrel	2


Summary: 	A GTK frontend for CUPS
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPLv2+
Group: 		System/Printing
Source0: 	http://prdownloads.sourceforge.net/gtklp/%{name}-%{version}.src.tar.gz
URL: 		http://www.stud.uni-hannover.de/~sirtobi/gtklp/
BuildRoot: 	%_tmppath/%{name}-%{version}-%{release}-buildroot
Source1: 	gtklp-icon48.png
Source2: 	gtklp-icon32.png
Source3: 	gtklp-icon16.png
Patch1:		gtklp-1.2.2-simple.diff
BuildRequires: 	cups-common
BuildRequires:  gtk+2-devel
BuildRequires: 	cups-devel > 1.1
BuildRequires: 	bison
Requires: 	cups > 1.1

%description
A GTK frontend for CUPS

%prep

%setup -q
%patch1 -p1

%build

%configure2_5x

%make

%install
%__rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/

%makeinstall

# menu entry
cat << EOF > %buildroot%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Categories=HardwareSettings;Settings;GTK;X-MandrivaLinux-System-Configuration-Printing;
Name=GTK CUPS
Comment=GTK Frontend for CUPS
Exec=%{_bindir}/gtklp
Icon=gtklp
EOF

cat > %buildroot%{_datadir}/applications/gtklpq.desktop <<EOF
[Desktop Entry]
Type=Application
Categories=HardwareSettings;Settings;GTK;X-MandrivaLinux-System-Configuration-Printing;
Name=GTK Printer Queue
Comment=GTK Frontend to GTKlp CUPS Queue
Exec=%{_bindir}/gtklpq
Icon=gtklp
EOF

# menu icon
%__mkdir -p $RPM_BUILD_ROOT{%_liconsdir,%_iconsdir,%_miconsdir}
install -m0644 %{SOURCE1} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m0644 %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

# locales
%find_lang %name

%post 
%{update_menus}

%postun 
%{clean_menus}

%clean
%__rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog COPYING NEWS README TODO USAGE
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png
%{_mandir}/man1/*


%changelog
* Sat Jan 09 2010 Texstar <texstar at gmail.com> 1.2.6-2pclos2010
- rebuild

* Sun May 25 2009 Texstar <texstar@gmail.com> 1.2.6-1pclos2009
- fix rpm group
- 1.2.6

* Tue Dec 02 2008 don_crissti <don_crissti@gmx.com> 1.2.5-1pclos2007
- build for PCLinuxOS
